Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.ocsp
Class AcceptableResponseTypeExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.ocsp.AcceptableResponseTypeExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class AcceptableResponseTypeExtension
extends oracle.security.crypto.cert.X509Extension

Represents the acceptable response type extension for OCSPRequest objects. Defines the response that the client will accept from the server. For now, there is only one possibility: PKIX.id_pkix_ocsp_basic

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`AcceptableResponseTypeExtension()` Create a new extension with the appropriate OID type.
`AcceptableResponseTypeExtension(oracle.security.crypto.asn1.ASN1ObjectID acceptableResponse)` Creates a new extension with the given response type.
`AcceptableResponseTypeExtension(oracle.security.crypto.asn1.ASN1ObjectID acceptableResponse, boolean critical)` Creates a new extension with the given response type.
`AcceptableResponseTypeExtension(java.io.InputStream is)`

Method Summary
`java.util.Enumeration` | `acceptableResponses()` Gets the acceptable response types from this extension.
`void` | `addAcceptableResponse(oracle.security.crypto.asn1.ASN1ObjectID acceptableResponse)` Adds a response type to this extension.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcceptableResponseTypeExtension

    public AcceptableResponseTypeExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### AcceptableResponseTypeExtension

    public AcceptableResponseTypeExtension(oracle.security.crypto.asn1.ASN1ObjectID acceptableResponse)

  Creates a new extension with the given response type. By default, this extension will not be critical.
Parameters:
  `acceptableResponse` - The response type.

### AcceptableResponseTypeExtension

    public AcceptableResponseTypeExtension(oracle.security.crypto.asn1.ASN1ObjectID acceptableResponse,
                                           boolean critical)

  Creates a new extension with the given response type.
Parameters:
  `acceptableResponse` - The response type.
  `critical` - True if this extension is critical, false otherwise.

### AcceptableResponseTypeExtension

    public AcceptableResponseTypeExtension(java.io.InputStream is)
                                    throws java.io.IOException

Method Detail

### addAcceptableResponse

    public void addAcceptableResponse(oracle.security.crypto.asn1.ASN1ObjectID acceptableResponse)

  Adds a response type to this extension.
  Parameters:
    `acceptableResponse` - A response type to add.

### acceptableResponses

    public java.util.Enumeration acceptableResponses()

  Gets the acceptable response types from this extension.
  Returns:
    An Enumeration of ASN1ObjectID representing response types.

### toString

    public java.lang.String toString()

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.